Skip to content

Lists bundle grants on the entitlement with pagination, sorting, and filtering.

GET
/api/v1/provision/admin/entitlements/{entitlementId}/bundle-grants
curl --request GET \
--url 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bundle-grants?pageNumber=1&pageSize=100'
entitlementId
required
string format: uuid

Entitlement id.

pageNumber
integer | string format: int32
default: 1 /^-?(?:0|[1-9]\d*)$/
pageSize
integer | string format: int32
default: 100 /^-?(?:0|[1-9]\d*)$/
sortOrder
string
filter
string

OK

object
pageNumber
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
pageSize
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
totalCount
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
items
Array<object>
object
id
string format: uuid
bundleId
string format: uuid
bundleCode
string
bundleName
string
usagePlanSetId
string format: uuid
usagePlanSetName
string
startsAt
string format: date-time
expiresAt
null | string format: date-time
isRevoked
boolean
revokedAt
null | string format: date-time
reference
null | string
isActive
boolean
totalPages
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
hasPreviousPage
boolean
hasNextPage
boolean

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string